# Class ArrowToJavaObjectConverter

java.lang.Object
com.databricks.jdbc.api.impl.converters.ArrowToJavaObjectConverter

public class ArrowToJavaObjectConverter extends Object

## Constructor Summary

Constructors
Constructor
Description
`ArrowToJavaObjectConverter()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`convert(org.apache.arrow.vector.ValueVector columnVector, int vectorIndex, ColumnInfoTypeName requiredType, String arrowMetadata, ColumnInfo columnInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArrowToJavaObjectConverter

public ArrowToJavaObjectConverter()

## Method Details

### convert

public static Object convert(org.apache.arrow.vector.ValueVector columnVector, int vectorIndex, ColumnInfoTypeName requiredType, String arrowMetadata, ColumnInfo columnInfo) throws DatabricksSQLException

Throws:
  `DatabricksSQLException`